The BOOST_PP_ARRAY_SIZE macro expands to the size of the array passed to it.

#### Usage

BOOST_PP_ARRAY_SIZE(array)

#### Arguments

array
  An array whose size is to be extracted.

#### Requirements

Header: <boost/preprocessor/array/size.hpp>

#### Sample Code

    #include <boost/preprocessor/array/size.hpp>

    #define ARRAY (3, (x, y, z))

    BOOST_PP_ARRAY_SIZE(ARRAY) // expands to 3

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)